Skip to content
Framework Docs

Create Split Job

$ llamacloud-prod beta:split create
POST/api/v1/beta/split/jobs

Create a document split job.

ParametersExpand Collapse
--document-input: object { type, value }

Body param: Document to be split.

--organization-id: optional string

Query param

--project-id: optional string

Query param

--configuration: optional object { categories, splitting_strategy }

Body param: Split configuration with categories and splitting strategy.

--configuration-id: optional string

Body param: Saved split configuration ID.

ReturnsExpand Collapse
BetaSplitNewResponse: object { id, categories, document_input, 8 more }

Beta response — uses nested document_input object.

id: string

Unique identifier for the split job.

categories: array of SplitCategory { name, description }

Categories used for splitting.

name: string

Name of the category.

description: optional string

Optional description of what content belongs in this category.

document_input: object { type, value }

Document that was split.

type: string

Type of document input. Valid values are: file_id

value: string

Document identifier.

project_id: string

Project ID this job belongs to.

status: string

Current status of the job. Valid values are: pending, processing, completed, failed, cancelled.

user_id: string

User ID who created this job.

configuration_id: optional string

Split configuration ID used for this job.

created_at: optional string

Creation datetime

error_message: optional string

Error message if the job failed.

result: optional object { segments }

Result of a completed split job.

segments: array of SplitSegmentResponse { category, confidence_category, pages }

List of document segments.

category: string

Category name this split belongs to.

confidence_category: string

Categorical confidence level. Valid values are: high, medium, low.

pages: array of number

1-indexed page numbers in this split.

updated_at: optional string

Update datetime

Create Split Job

llamacloud-prod beta:split create \
  --api-key 'My API Key' \
  --document-input '{type: type, value: value}'
{
  "id": "id",
  "categories": [
    {
      "name": "x",
      "description": "x"
    }
  ],
  "document_input": {
    "type": "type",
    "value": "value"
  },
  "project_id": "project_id",
  "status": "status",
  "user_id": "user_id",
  "configuration_id": "configuration_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "result": {
    "segments": [
      {
        "category": "category",
        "confidence_category": "confidence_category",
        "pages": [
          0
        ]
      }
    ]
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "categories": [
    {
      "name": "x",
      "description": "x"
    }
  ],
  "document_input": {
    "type": "type",
    "value": "value"
  },
  "project_id": "project_id",
  "status": "status",
  "user_id": "user_id",
  "configuration_id": "configuration_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "result": {
    "segments": [
      {
        "category": "category",
        "confidence_category": "confidence_category",
        "pages": [
          0
        ]
      }
    ]
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}